function ActiveDirectoryDiagnostics(url, elementId) {
    this.url = url;
    this.elementId = elementId;
}

ActiveDirectoryDiagnostics.prototype = {
    clearCache: function () {
        $.post(this.url).success(this.clearCacheComplete.bind(this));
    },

    clearCacheComplete: function (message) {
        document.getElementById(this.elementId).innerHTML = message;
    }
};
